<?php

namespace App\Admin\Controllers;

use App\Services\OrderExcRecordService;
use Slowlyo\OwlAdmin\Controllers\AdminController;

/**
 * 订单异常记录
 *
 * @property OrderExcRecordService $service
 */
class OrderExcRecordController extends AdminController
{
	protected string $serviceName = OrderExcRecordService::class;

	public function list()
	{
		$crud = $this->baseCRUD()
			->filterTogglable(false)
			->headerToolbar([
				$this->createButton('dialog'),
				...$this->baseHeaderToolBar()
			])
			->columns([
				amis()->TableColumn('id', 'ID')->sortable(),
				amis()->TableColumn('order_id', '订单编号'),
				amis()->TableColumn('customer_service_id', '跟单客服编号'),
				amis()->TableColumn('type', '异常类型'),
				amis()->TableColumn('reason', '异常原因'),
				amis()->TableColumn('remark', '备注'),
				amis()->TableColumn('state', '状态'),
				amis()->TableColumn('created_at', admin_trans('admin.created_at'))->type('datetime')->sortable(),
				amis()->TableColumn('updated_at', admin_trans('admin.updated_at'))->type('datetime')->sortable(),
				$this->rowActions('dialog')
			]);

		return $this->baseList($crud);
	}

	public function form($isEdit = false)
	{
		return $this->baseForm()->body([
			amis()->TextControl('order_id', '订单编号'),
			amis()->TextControl('customer_service_id', '跟单客服编号'),
			amis()->TextControl('type', '异常类型'),
			amis()->TextControl('reason', '异常原因'),
			amis()->TextControl('remark', '备注'),
			amis()->TextControl('state', '状态'),
		]);
	}

	public function detail()
	{
		return $this->baseDetail()->body([
			amis()->TextControl('id', 'ID')->static(),
			amis()->TextControl('order_id', '订单编号')->static(),
			amis()->TextControl('customer_service_id', '跟单客服编号')->static(),
			amis()->TextControl('type', '异常类型')->static(),
			amis()->TextControl('reason', '异常原因')->static(),
			amis()->TextControl('remark', '备注')->static(),
			amis()->TextControl('state', '状态')->static(),
			amis()->TextControl('created_at', admin_trans('admin.created_at'))->static(),
			amis()->TextControl('updated_at', admin_trans('admin.updated_at'))->static(),
		]);
	}
}